action: Get JWT
trees:
  - action: Deploy Project
    trees:
      - action: Deploy G2 Cluster
        config:
          provider: hostedAWS
          region: us-east-1
          templates: ["g2/quick-3.json"]
        trees:
          - action: Import Sample Bucket
            trees:
              - action: On Demand G2 Backup
                config:
                  waitForBackup: triggered
                trees:
                  - action: Terminate Node
                    trees:
                      - action: Wait For Backup
                        config:
                          bucket: travel-sample
                          numBackups: 1
                        trees:
                          - action: Check Cluster State
                            config:
                              checkState: healthy
                            trees:
                              - action: Validate Backup
                                config:
                                  bucket: travel-sample
                                  backupSource: manual
                                  backupIndex: 1
                                  items: 63288
                                  tombstones: 0
                                  fts: 0
                                  gsi: 46
                                  event: 0
                                  cbas: 2
                                trees:
                                  - action: Destroy G2 Cluster
